From: =?utf-8?b?T25kxZllaiBTdXLDvQ==?= <ondrej@sury.org>
Date: Mon, 29 Aug 2016 12:11:14 +0200
Subject: Don't rely on absolute paths in tools/Makefile.am

---
 tools/Makefile.am | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/tools/Makefile.am b/tools/Makefile.am
index efa5c3f..a7908ef 100644
--- a/tools/Makefile.am
+++ b/tools/Makefile.am
@@ -2,7 +2,7 @@ noinst_PROGRAMS=generate-api-docs
 
 generate_api_docs_SOURCES=generate-api-docs.c
 
-APIBUILD_STAMP=$(srcdir)/.stamp
+APIBUILD_STAMP=$(builddir)/.stamp
 EXTRA_DIST = $(APIBUILD_STAMP)
 
 doc_generated_files = \
@@ -25,8 +25,8 @@ API_FILES = \
 	libvirt-stream.c
 
 $(APIBUILD_STAMP): generate-api-docs
-	./generate-api-docs -o ../docs/api-reference.html.in $(addprefix $(top_srcdir)/src/,$(API_FILES))
-	./generate-api-docs --private -o ../docs/dev-api-reference.html.in $(addprefix $(top_srcdir)/src/,$(API_FILES))
+	$(builddir)/generate-api-docs -o $(top_builddir)/docs/api-reference.html.in $(addprefix $(top_srcdir)/src/,$(API_FILES))
+	$(builddir)/generate-api-docs --private -o $(top_builddir)/docs/dev-api-reference.html.in $(addprefix $(top_srcdir)/src/,$(API_FILES))
 	touch $@
 
 CLEANFILES = $(doc_generated_files)
